#ifndef ATEOBUS_PROTOS_H
#define ATEOBUS_PROTOS_H

/*
** $VER: ateobus_protos.h 3.0 (15.04.99)
**
** C prototypes. for use with ateobus.library 2.0
**
** (C) Copyright 1998-99 Ato Concepts SARL
**     All Rights Reserved
*/

#ifndef EXEC_LIBRARIES_H
#include "exec/libraries.h"
#endif

#ifndef EXEC_TYPES_H
#include "exec/types.h"
#endif

struct Library *AteoBase;

void* AC_GetSpaceBase( ULONG flags );
ULONG AC_AddIntServer( ULONG intNum, struct Interrupt *PtrStrInt );
ULONG AC_RemIntServer( ULONG intNum, struct Interrupt *PtrSvrInt );
ULONG AC_QueryValue( ULONG Number);
ULONG AC_StoreValue( ULONG Value, ULONG Number );
ULONG AC_GetVersion( void );
UBYTE AC_IrqLine2Level( UBYTE IrqLine);
UBYTE AC_IrqLevel2Line( UBYTE IrqLevel );
UBYTE AC_Disable( BYTE Irq, ULONG Flags );
UBYTE AC_EnableIrq( BYTE Irq, ULONG Flags );
struct ConfigDev* AC_ReadConfigLine( STRPTR, struct ConfigDev* );
struct AteoBusPrefs * __asm __saveds AC_GetGlobalPrefs( void );

#endif /* ATEOBUS_PROTOS_H */
